Bug 969631 - Review Request: dlib - A general purpose cross-platform C++ library
Review Request: dlib - A general purpose cross-platform C++ library
Status: CLOSED DUPLICATE of bug 1288643
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Björn 'besser82' Esser
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-06-01 01:58 EDT by Christopher Meng
Modified: 2015-12-15 16:06 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-12-15 16:06:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
besser82: fedora‑review?

Attachments (Terms of Use)
Comment (229.86 KB, text/plain)
2013-10-19 10:58 EDT, Björn 'besser82' Esser
no flags Details

  None (edit)
Description Christopher Meng 2013-06-01 01:58:36 EDT
Spec URL: http://cicku.me/dlib.spec
SRPM URL: http://cicku.me/dlib-18.2-1.fc20.src.rpm 
Description: Dlib is a general purpose cross-platform open source software library written 
in the C++ programming language. Its design is heavily influenced by ideas 
from design by contract and component-based software engineering. This means 
it is, first and foremost, a collection of independent software components, 
each accompanied by extensive documentation and thorough debugging modes.
Fedora Account System Username: cicku
Comment 1 Björn 'besser82' Esser 2013-06-01 02:45:30 EDT
Hi Christopher!

-BuildRequires:  cmake libjpeg-devel libpng-devel
+BuildRequires:  atlas-devel cmake fftw-devel
+BuildRequires:  libjpeg-devel libpng-devel sqlite-devel

To get out all dlib offers...

There should be a usable shlib, but dlib only builds a static one (which also isn't pkged).

Ask upstream to setup a suitable top-level CMakeLists.txt, which builds all stuff in a row and offers options for building a shlib and `make install` to proper locations. If help is needed with CMake, feel free to ask me...

These are the first things needed to be fixed/worked out, when done I'll start next review-run.

Comment 2 Björn 'besser82' Esser 2013-06-01 02:50:51 EDT
BTW. -debuginfo builds to an empty-pkg, too.
Comment 3 Michael Schwendt 2013-06-03 03:05:32 EDT
> Summary:        A general purpose cross-platform C++ library

In Anaconda and package tools, which display these summaries, it looks better (and more concise) when omitting these leading articles.

> License:        Boost and Public Domain

I'm not sure about the "and" here. Please add a comment to the spec file, which explains this licensing scenario.

  $ grep -i "public domain" * -R|egrep -v '(html|examples|tools)'
  dlib/general_hash/murmur_hash3.h:    // in the public domain. The author hereby disclaims copyright to this source code.

The murmur_hash3.h file applies the Boost license and copyright in its preamble and mentions modifications by the library author. As such it cannot be assumed that the entire file remains in the public domain. Therefore the lib is "License: Boost" only.

Several examples contain a "public domain" header and refer to the separate LICENSE_FOR_EXAMPLE_PROGRAMS.txt file. As the entire "examples" tree is packaged in the -doc file, the -doc file could apply a different "License" tag than the base package.

The "tools/mltool" program is in the "public domain", but not built or packaged.

* The test build.log warns about missing build requirements. X11, BLAS. What's up there?

* Is the included regression test suite suitable for the %check section?

> %install
> pushd %{name}
> rm -rf CMakeFiles/ cmake* Makefile
> popd

That's a perfect opportunity for a comment that explains why this is done. ;-)

> %package        doc
> Summary:        Documentation for the %{name}
> Requires:       %{name}%{?_isa} = %{version}-%{release}

Independent documentation -doc packages typically don't require the base package. It should be possible to install documentation without having to
install a program and all its dependencies.
Comment 4 Björn 'besser82' Esser 2013-10-19 10:58:20 EDT
Created attachment 915791 [details]

(This comment was longer than 65,535 characters and has been moved to an attachment by Red Hat Bugzilla).
Comment 5 Christopher Meng 2013-10-20 22:21:53 EDT
This package is more than a crap.

I will fix it later, but probably very hard.
Comment 6 Igor Gnatenko 2015-12-15 16:06:48 EST
Lets use new review.

*** This bug has been marked as a duplicate of bug 1288643 ***

Note You need to log in before you can comment on or make changes to this bug.